﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using Syncfusion.SfNumericTextBox.XForms;
using System.ComponentModel;
using Syncfusion.XForms.Buttons;

namespace DataForm
{
    class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.RegisterEditor("Segment", new SegmentEditorExt(dataForm));
            dataForm.RegisterEditor("SaveTo", "Segment");

        }

        protected override void OnDetachingFrom(ContentPage bindable)
        {
            base.OnDetachingFrom(bindable);
        }
    }

    public class SegmentEditorExt : DataFormSegmentedEditor
    {
        public SegmentEditorExt(SfDataForm dataForm) : base(dataForm)
        {
        }
        protected override void OnInitializeView(DataFormItem dataFormItem, SfSegmentedControl view)
        {
            base.OnInitializeView(dataFormItem, view);
            SelectionIndicatorSettings selectionIndicator = new SelectionIndicatorSettings();
            selectionIndicator.Color = Color.Red;
            view.SelectionIndicatorSettings = selectionIndicator;
        }
    }
}
